OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_RebuildGroups Class Reference

Rebuilds Groups which were bypassed to produce new models.
If a set of entities, all put into a same IGESModel, were
part of a same Group in the starting Model, this Modifier
rebuilds the original group, but only with the transferred
entities. The distinctions (Ordered or not, "WhithoutBackP"
or not) are renewed, also the name of the group.
If the Input Selection is present, tries to rebuild groups
only for the selected entities. Else, tries to rebuild
groups for all the transferred entities.
.

`#include <IGESSelect_RebuildGroups.hxx>`

Inheritance diagram for IGESSelect_RebuildGroups:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_RebuildGroups ()
| Creates an RebuildGroups, which uses the system Date .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : Rebuilds the original groups .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which is "Rebuild Groups" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_RebuildGroups::IGESSelect_RebuildGroups | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_RebuildGroups::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT TCollection_AsciiString IGESSelect_RebuildGroups::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IGESSelect_RebuildGroups::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

The documentation for this class was generated from the following file:

- IGESSelect_RebuildGroups.hxx